## IAnjutaEditorConvert

IAnjutaEditorConvert — Text editor convert interface

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_editor_convert_error_quark ()
void | ianjuta_editor_convert_to_lower ()
void | ianjuta_editor_convert_to_upper ()

## Types and Values

#define | IANJUTA_EDITOR_CONVERT_ERROR

## Object Hierarchy

        GInterface
        ╰── IAnjutaEditorConvert

## Includes

    #include <libanjuta/interfaces/ianjuta-editor-convert.h>

## Description

## Functions

### ianjuta_editor_convert_error_quark ()

    GQuark
    ianjuta_editor_convert_error_quark (void);

### ianjuta_editor_convert_to_lower ()

    void
    ianjuta_editor_convert_to_lower (IAnjutaEditorConvert *obj,
                                     IAnjutaIterable *start_position,
                                     IAnjutaIterable *end_position,
                                     GError **err);

change characters from start position to end position to lowercase

#### Parameters

obj | Self |
start_position | Start position. |
end_position | End position. |
err | Error propagation and reporting |

### ianjuta_editor_convert_to_upper ()

    void
    ianjuta_editor_convert_to_upper (IAnjutaEditorConvert *obj,
                                     IAnjutaIterable *start_position,
                                     IAnjutaIterable *end_position,
                                     GError **err);

change characters from start position to end position to uppercase.

#### Parameters

obj | Self |
start_position | Start position. |
end_position | End position. |
err | Error propagation and reporting |

## Types and Values

### IANJUTA_EDITOR_CONVERT_ERROR

    #define IANJUTA_EDITOR_CONVERT_ERROR ianjuta_editor_convert_error_quark()